<?xml version="1.0" encoding="iso-8859-1"?>

<!--
module :
creation du prototype de formulaire utilisateur

update :
$Id$
creation
fplod 2007-04-26T09:31:32Z aedon.locean-ipsl.upmc.fr (Darwin)
-->

<xsl:stylesheet
 id="id" version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output
 method="xml"
 indent="yes"
 encoding="ISO-8859-1"
 omit-xml-declaration="no"
 doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
 doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>

<xsl:include href="form_db.xsl"/>

<xsl:template match="users">

 <xsl:apply-templates select="user[child::userid='template']"/>
</xsl:template>

<xsl:template match="user[child::userid='template']">
<article id="template_form" lang="en">
 <title>Nemo Survey - Template</title>
<articleinfo>
<authorgroup>
<author><personname><firstname>Sbastien</firstname> <surname>Masson</surname></personname></author>
<author><personname><firstname>Franoise</firstname> <surname>Pinsard</surname></personname></author>
<!--++-->
</authorgroup>
<keywordset>
<keyword>NEMO</keyword>
</keywordset>
<!-- ++ date -->
</articleinfo>

 <xsl:comment> 
  template form from template userid in user.xml.
Last update of the user databank : <xsl:value-of select="ancestor::users/child::date"/>
 </xsl:comment>
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="sect1">
  <xsl:attribute name="id">intro</xsl:attribute>
  <title>Context</title>
  <xsl:element name="para">
   The mail sent by filling this form will be used to update 
<ulink url="main.php">Nemo-Publications-Papers</ulink>
and <ulink url="user.html">Nemo Users</ulink>.
  </xsl:element>
 </xsl:element>
 <xsl:text>&#xA;</xsl:text>
 <xsl:element name="sect1">
  <xsl:attribute name="id"><xsl:value-of select="userid"/></xsl:attribute>
  <xsl:text>&#xA;</xsl:text>
  <xsl:choose>
   <xsl:when test="userid != 'template'">
    <xsl:element name="title">
     <xsl:value-of select="personname/firstname"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/surname"/>
    </xsl:element>
   </xsl:when>
   <xsl:otherwise>
    <xsl:element name="title">Template</xsl:element>
   </xsl:otherwise>
  </xsl:choose>
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="para">
   <xsl:value-of select="email"/>
  </xsl:element>
  <xsl:text>&#xA;</xsl:text>
  <xsl:call-template name="form_db">
   <xsl:with-param name="author_id" select="userid"/>
   <xsl:with-param name="user" select="."/>
   <xsl:with-param name="visu_modif" select="'modif'"/>
   <xsl:with-param name="bibmode" select="'no'"/>
  </xsl:call-template>
 <xsl:text>&#xA;</xsl:text>
 </xsl:element>
</article>
</xsl:template>

</xsl:stylesheet>
